For the complete documentation index, see llms.txt. This page is also available as Markdown.

Requesting Hazard Severities

To request the list of hazard severities configured in the system please use the route defined here:

List all hazard severity levels

get

Returns the full set of hazard severity reference values (e.g. WARNING, WATCH, TERMINATION).

Authorizations
AuthorizationstringRequired

JWT access token obtained from POST /authorize. Tokens expire after 15 minutes.

Responses
200

Array of severity levels.

application/json
severity_idstringOptional

Unique severity identifier.

Example: WARNING
severity_namestringOptional

Human-readable severity name.

Example: Warning
severity_iconstringOptional

Icon filename for UI rendering.

Example: warning.png
get/hazards/severities
GET /hazards/severities HTTP/1.1
Host: api-v2.disasteraware.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "severity_id": "WARNING",
    "severity_name": "Warning",
    "severity_icon": "warning.png"
  }
]

See Authorizing Requests page to get your accessToken.

This request will return an array that contains all of the hazard severities. Each element in the array will have three properties:

Properties
Definitions

severity_id

This is like the primary key for the hazard severity. This is the value that will be found on the hazard object.

severity_name

A human readable value for the severity e.g. Warning.

severity_icon

This is an icon whose value was used in the deprecated version of DAE.

In every DAE system the following colors (in RGB format) are associated with each hazard severity:

Hazard Severities
Colors (in RGB format)

TERMINATION

102, 102, 102

INFORMATION

49, 153, 240

ADVISORY

0, 255, 0

WATCH

255, 255, 0

WARNING

255, 0, 0

Last updated